Skip to main content
POST
/
v1
/
integration
/
woocommerce
/
connect
Connect WooCommerce
curl --request POST \
  --url https://api.meum.io/v1/integration/woocommerce/connect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhook_url": "<string>",
  "site_url": "<string>",
  "plugin_version": "<string>",
  "wordpress_version": "<string>",
  "woocommerce_version": "<string>"
}
'
{
  "api_key": "sk_live_EXAMPLE_DO_NOT_USE",
  "webhook_secret": "<string>",
  "integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "store_name": "<string>",
  "store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Store-scoped API key (sk_live_...)

Body

application/json
webhook_url
string<uri>
required
site_url
string<uri>
required
plugin_version
string
wordpress_version
string
woocommerce_version
string

Response

Connected

api_key
string
Example:

"sk_live_EXAMPLE_DO_NOT_USE"

webhook_secret
string
integration_id
string<uuid>
store_name
string
store_id
string<uuid>